#version 150


///Input: CubeMap
uniform samplerCube cubemap;


///Vertex-Specific Input
in vec3 view_Dir;


///Fragment Output Variable
out vec4 out_FragColor;


void main()
{
    ///Read the Texture-Color
    vec4 cube_tex_color = vec4(texture(cubemap, view_Dir).r);


    ///Output Color Calculation
    out_FragColor = cube_tex_color;
}