/*---------------- "exampleFragmentShader.frag" ----------------*/
// QUELLE: http://en.wikipedia.org/wiki/Vertex_Buffer_Object
 
#version 150 // Specify which version of GLSL we are using.
 
precision highp float; // Video card drivers require this line to function properly
 
uniform sampler2D myTextureSampler;

in vec2 UV;
in vec3 normal;
in vec3 lightDirection;
in vec3 eyeDirection;
in vec3 worldCoordinates;
in vec3 lightPosition_worldspace;

out vec3 color;


void main() 
{

	vec3 materialDiffuseColor = texture( myTextureSampler, UV ).rgb;

	color = vec3(1,1,1) * materialDiffuseColor;




}
/*--------------------------------------------------------------*/